

#include "BUILTIN.h"

#include "Nat.h"
extern OBJ _AComServiceConv_3(OBJ);OBJ __AComServiceConv_3; /* ` */
OBJ __AComServiceConv_4; /* `'4 */

extern OBJ _AComServiceConv_3(OBJ x1) /* ` */
{OBJ r;
 CPPRD(__AComServiceConv_4,1);
 FREE(x1,1);
 r=__AComServiceConv_4;
 return r;}

static OBJ _mt_1_0_1(OBJ t,OBJ t1) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
 return r;}
static OBJ _mt_1_0_1_l(OBJ t,OBJ t1) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
 COPY(r,1);LZYCLS(t,r);
 return r;}

init_AComServiceConv()
{
 static int visited=0; if(visited) return; visited=1;
 init_AComService();
 init_ACom();
 init_AVoid();
 init_ANat();
 init_ASeq();
 init_AOption();
 DEN("some SAP",__AComServiceConv_4);
 CLS(1,_AComServiceConv_3,__AComServiceConv_3);
 MTH(1,0,1,_mt_1_0_1);LZYMTH(1,0,1,_mt_1_0_1_l);}

